/*
** Module   : process.h
** Abstract : Header file for file process lauch related functions.
**            This is used by process.c, process_helper_(linix|win).c
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 EVL 20130329 Created initial version for process launching declarations.
*/

#include <stdlib.h>
#include <unistd.h>
#include <signal.h>
#include <string.h>
#include <errno.h>
#include <jni.h>

void initializeFileDescriptor(JNIEnv *, jobject, int);
JNIEXPORT void JNICALL init(JNIEnv *, jclass);
JNIEXPORT void JNICALL pseudoTerminalWait(JNIEnv *, jclass, jint, jboolean);
JNIEXPORT jint JNICALL
   pseudoTerminalLaunch(JNIEnv *, jclass, jobjectArray, jobject, jobject, jobject, jboolean);

